<launch>
	<!-- mapping for the wireless xbox 360 controller -->
	<!-- using kernel xpad driver which differs from xboxdrv -->

	<node pkg="neuroracer_teleop" type="neuroracer_teleop_joy.py" name="neuroracer_teleop_joy">
		<param name="scale_angular" value="-1.0"/>
		<param name="scale_linear" value="1.0"/> <!-- was 0.5 -->
	
		<!-- Deadman switch -->
		<param name="axis_deadman" value="4"/>
	
		<!-- Throttle is the right trigger -->
		<param name="axis_linear" value="4"/> <!-- was 5 -->
		<param name="axis_angular" value="0"/>

		<param name="button_a" value="0"/>
		<param name="button_b" value="1"/>
		<param name="button_x" value="2"/>
		<param name="button_left" value="6"/>
		<param name="button_right" value="7"/>
	</node>

</launch>
